;GIL-3
(
(
	:type                   :menu
	:name                   fits_file_menu
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             ""
	:menu-item-labels       ("Load FITS Header..." "Save FITS Header..." "Save As FITS Header..." )
	:menu-item-label-types  (:string :string :string )
	:menu-item-states       (:active :active :active )
	:menu-item-defaults     (nil nil nil )
	:initial-selections     (nil nil nil )
	:menu-item-handlers     (load_fits_header_callback save_fits_header_callback save_as_fits_header_callback )
	:menu-item-menus        (nil nil nil )
	:menu-item-colors       ("" "" "" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (fits_file_menu "Load FITS Header...")
		:when                   (Notify )
		:to                     (fits_file_menu "Load FITS Header...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (load_fits_header_callback)
		)
		(
		:from                   (fits_file_menu "Save FITS Header...")
		:when                   (Notify )
		:to                     (fits_file_menu "Save FITS Header...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (save_fits_header_callback)
		)
		(
		:from                   (fits_file_menu "Save As FITS Header...")
		:when                   (Notify )
		:to                     (fits_file_menu "Save As FITS Header...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (save_as_fits_header_callback)
		)
	)
)
(
	:type                   :popup-window
	:name                   fits_popup
	:owner                  ccd
	:width                  800
	:height                 630
	:background-color       ""
	:foreground-color       ""
	:label                  "FITS Header Editor"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls1
	:owner                  fits_popup
	:help                   ""
	:x                      0
	:y                      0
	:width                  400
	:height                 425
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   fits_file_button
	:owner                  controls1
	:help                   ""
	:x                      32
	:y                      16
	:width                  54
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "File"
	:label-type             :string
	:initial-state          :active
	:menu                   fits_file_menu
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   fits_apply_button
	:owner                  controls1
	:help                   ""
	:x                      240
	:y                      16
	:width                  53
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Apply"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         fits_apply_button_callback
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (fits_popup fits_apply_button)
		:when                   (Notify )
		:to                     (fits_popup fits_apply_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (fits_apply_button_callback)
		)
	)
)
(
	:type                   :button
	:name                   fits_reset_button
	:owner                  controls1
	:help                   ""
	:x                      301
	:y                      16
	:width                  51
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Reset"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         fits_reset_button_callback
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (fits_popup fits_reset_button)
		:when                   (Notify )
		:to                     (fits_popup fits_reset_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (fits_reset_button_callback)
		)
	)
)
(
	:type                   :message
	:name                   message5
	:owner                  controls1
	:help                   ""
	:x                      102
	:y                      50
	:width                  196
	:height                 13
	:foreground-color       ""
	:label                  "Reserved FITS Keywords (12)"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   message6
	:owner                  controls1
	:help                   ""
	:x                      123
	:y                      70
	:width                  155
	:height                 13
	:foreground-color       ""
	:label                  "(DO NOT Edit by Hand)"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group4
	:x                      102
	:y                      50
	:group-type             nil
	:members                (message5 message6 )
	:rows                   0
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   fits_simple_setting
	:owner                  controls1
	:help                   ""
	:x                      32
	:y                      100
	:width                  115
	:height                 23
	:value-x                100
	:value-y                100
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "SIMPLE:  "
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("F" "T" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil t )
	:initial-state          :inactive
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   fits_bitpix_setting
	:owner                  controls1
	:help                   ""
	:x                      32
	:y                      131
	:width                  124
	:height                 23
	:value-x                96
	:value-y                131
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :stack
	:selection-required     t
	:label                  "BITPIX:  "
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("8" "16" "32" "-32" "-64" )
	:choice-label-types     (:string :string :string :string :string )
	:choice-colors          ("" "" "" "" "" )
	:choice-defaults        (nil t nil nil nil )
	:initial-selections     (nil t nil nil nil )
	:initial-state          :inactive
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_naxis_text
	:owner                  controls1
	:help                   ""
	:x                      30
	:y                      162
	:width                  108
	:height                 15
	:value-x                90
	:value-y                162
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "NAXIS:  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_naxis1_text
	:owner                  controls1
	:help                   ""
	:x                      30
	:y                      187
	:width                  116
	:height                 15
	:value-x                98
	:value-y                187
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "NAXIS1:  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_naxis2_text
	:owner                  controls1
	:help                   ""
	:x                      30
	:y                      212
	:width                  116
	:height                 15
	:value-x                98
	:value-y                212
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "NAXIS2:  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_prescan_text
	:owner                  controls1
	:help                   ""
	:x                      30
	:y                      237
	:width                  144
	:height                 15
	:value-x                110
	:value-y                237
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "PRESCAN:  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_postscan_text
	:owner                  controls1
	:help                   ""
	:x                      30
	:y                      262
	:width                  155
	:height                 15
	:value-x                121
	:value-y                262
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "POSTSCAN:  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_istart_text
	:owner                  controls1
	:help                   ""
	:x                      30
	:y                      287
	:width                  124
	:height                 15
	:value-x                90
	:value-y                287
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "ISTART:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_jstart_text
	:owner                  controls1
	:help                   ""
	:x                      30
	:y                      312
	:width                  133
	:height                 15
	:value-x                99
	:value-y                312
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "JSTART:  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_exptime_text
	:owner                  controls1
	:help                   ""
	:x                      30
	:y                      337
	:width                  310
	:height                 15
	:value-x                180
	:value-y                337
	:value-length           20
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Exposure Time (sec):"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_date_obs_text
	:owner                  controls1
	:help                   ""
	:x                      30
	:y                      362
	:width                  361
	:height                 15
	:value-x                255
	:value-y                362
	:value-length           17
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Observation Date (dd/mm/yy):  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_ut_start_text
	:owner                  controls1
	:help                   ""
	:x                      30
	:y                      387
	:width                  361
	:height                 15
	:value-x                167
	:value-y                387
	:value-length           28
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "UT (hh:mm:ss.ss):  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls3
	:owner                  fits_popup
	:help                   ""
	:x                      400
	:y                      0
	:width                  400
	:height                 300
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   message3
	:owner                  controls3
	:help                   ""
	:x                      120
	:y                      20
	:width                  159
	:height                 13
	:foreground-color       ""
	:label                  "More FITS Keywords (9)"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   message4
	:owner                  controls3
	:help                   ""
	:x                      151
	:y                      43
	:width                  96
	:height                 13
	:foreground-color       ""
	:label                  "(Edit by Hand)"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group3
	:x                      120
	:y                      20
	:group-type             nil
	:members                (message3 message4 )
	:rows                   0
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_exptype_text
	:owner                  controls3
	:help                   ""
	:x                      30
	:y                      70
	:width                  360
	:height                 15
	:value-x                150
	:value-y                70
	:value-length           30
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Exposure Type:  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_irafname_text
	:owner                  controls3
	:help                   ""
	:x                      30
	:y                      95
	:width                  360
	:height                 15
	:value-x                118
	:value-y                95
	:value-length           34
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "IRAFNAME:  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_observatory_text
	:owner                  controls3
	:help                   ""
	:x                      30
	:y                      120
	:width                  360
	:height                 15
	:value-x                134
	:value-y                120
	:value-length           32
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Observatory:  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_telescope_text
	:owner                  controls3
	:help                   ""
	:x                      30
	:y                      145
	:width                  361
	:height                 15
	:value-x                119
	:value-y                145
	:value-length           34
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Telescope:  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_object_text
	:owner                  controls3
	:help                   ""
	:x                      30
	:y                      170
	:width                  360
	:height                 15
	:value-x                94
	:value-y                170
	:value-length           37
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Object:  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_observer_text
	:owner                  controls3
	:help                   ""
	:x                      30
	:y                      195
	:width                  363
	:height                 15
	:value-x                113
	:value-y                195
	:value-length           35
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Observer:  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_instrument_text
	:owner                  controls3
	:help                   ""
	:x                      30
	:y                      220
	:width                  360
	:height                 15
	:value-x                126
	:value-y                220
	:value-length           33
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Instrument:  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_detector_text
	:owner                  controls3
	:help                   ""
	:x                      30
	:y                      245
	:width                  356
	:height                 15
	:value-x                106
	:value-y                245
	:value-length           35
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Detector:  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_filter_text
	:owner                  controls3
	:help                   ""
	:x                      30
	:y                      270
	:width                  351
	:height                 15
	:value-x                85
	:value-y                270
	:value-length           37
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Filter:  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls4
	:owner                  fits_popup
	:help                   ""
	:x                      400
	:y                      300
	:width                  400
	:height                 330
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   message7
	:owner                  controls4
	:help                   ""
	:x                      100
	:y                      10
	:width                  182
	:height                 13
	:foreground-color       ""
	:label                  "User Defined Keywords (9)"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   message10
	:owner                  controls4
	:help                   ""
	:x                      147
	:y                      33
	:width                  96
	:height                 13
	:foreground-color       ""
	:label                  "(Edit by Hand)"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group1
	:x                      100
	:y                      10
	:group-type             nil
	:members                (message7 message10 )
	:rows                   0
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   message8
	:owner                  controls4
	:help                   ""
	:x                      20
	:y                      50
	:width                  58
	:height                 13
	:foreground-color       ""
	:label                  "Keyword"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   message9
	:owner                  controls4
	:help                   ""
	:x                      226
	:y                      50
	:width                  29
	:height                 13
	:foreground-color       ""
	:label                  "Text"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group5
	:x                      20
	:y                      50
	:group-type             nil
	:members                (message8 message9 )
	:rows                   0
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   keyword1
	:owner                  controls4
	:help                   ""
	:x                      20
	:y                      70
	:width                  64
	:height                 15
	:value-x                20
	:value-y                70
	:value-length           8
	:stored-length          8
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   keyword_value1
	:owner                  controls4
	:help                   ""
	:x                      109
	:y                      70
	:width                  280
	:height                 15
	:value-x                109
	:value-y                70
	:value-length           35
	:stored-length          69
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group14
	:x                      20
	:y                      70
	:group-type             nil
	:members                (keyword1 keyword_value1 )
	:rows                   1
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   keyword2
	:owner                  controls4
	:help                   ""
	:x                      21
	:y                      95
	:width                  64
	:height                 15
	:value-x                21
	:value-y                95
	:value-length           8
	:stored-length          8
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   keyword_value2
	:owner                  controls4
	:help                   ""
	:x                      110
	:y                      95
	:width                  280
	:height                 15
	:value-x                110
	:value-y                95
	:value-length           35
	:stored-length          69
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group6
	:x                      21
	:y                      95
	:group-type             nil
	:members                (keyword2 keyword_value2 )
	:rows                   1
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   keyword3
	:owner                  controls4
	:help                   ""
	:x                      20
	:y                      120
	:width                  64
	:height                 15
	:value-x                20
	:value-y                120
	:value-length           8
	:stored-length          8
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   keyword_value3
	:owner                  controls4
	:help                   ""
	:x                      109
	:y                      120
	:width                  280
	:height                 15
	:value-x                109
	:value-y                120
	:value-length           35
	:stored-length          69
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group15
	:x                      20
	:y                      120
	:group-type             nil
	:members                (keyword3 keyword_value3 )
	:rows                   1
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   keyword4
	:owner                  controls4
	:help                   ""
	:x                      20
	:y                      145
	:width                  64
	:height                 15
	:value-x                20
	:value-y                145
	:value-length           8
	:stored-length          8
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   keyword_value4
	:owner                  controls4
	:help                   ""
	:x                      109
	:y                      145
	:width                  280
	:height                 15
	:value-x                109
	:value-y                145
	:value-length           35
	:stored-length          69
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group9
	:x                      20
	:y                      145
	:group-type             nil
	:members                (keyword4 keyword_value4 )
	:rows                   1
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   keyword5
	:owner                  controls4
	:help                   ""
	:x                      20
	:y                      170
	:width                  64
	:height                 15
	:value-x                20
	:value-y                170
	:value-length           8
	:stored-length          8
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   keyword_value5
	:owner                  controls4
	:help                   ""
	:x                      109
	:y                      170
	:width                  280
	:height                 15
	:value-x                109
	:value-y                170
	:value-length           35
	:stored-length          69
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group7
	:x                      20
	:y                      170
	:group-type             nil
	:members                (keyword5 keyword_value5 )
	:rows                   1
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   keyword6
	:owner                  controls4
	:help                   ""
	:x                      20
	:y                      195
	:width                  64
	:height                 15
	:value-x                20
	:value-y                195
	:value-length           8
	:stored-length          8
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   keyword_value6
	:owner                  controls4
	:help                   ""
	:x                      109
	:y                      195
	:width                  280
	:height                 15
	:value-x                109
	:value-y                195
	:value-length           35
	:stored-length          69
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group8
	:x                      20
	:y                      195
	:group-type             nil
	:members                (keyword6 keyword_value6 )
	:rows                   1
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   keyword7
	:owner                  controls4
	:help                   ""
	:x                      20
	:y                      220
	:width                  64
	:height                 15
	:value-x                20
	:value-y                220
	:value-length           8
	:stored-length          8
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   keyword_value7
	:owner                  controls4
	:help                   ""
	:x                      109
	:y                      220
	:width                  280
	:height                 15
	:value-x                109
	:value-y                220
	:value-length           35
	:stored-length          69
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group10
	:x                      20
	:y                      220
	:group-type             nil
	:members                (keyword7 keyword_value7 )
	:rows                   1
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   keyword8
	:owner                  controls4
	:help                   ""
	:x                      20
	:y                      245
	:width                  64
	:height                 15
	:value-x                20
	:value-y                245
	:value-length           8
	:stored-length          8
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   keyword_value8
	:owner                  controls4
	:help                   ""
	:x                      109
	:y                      245
	:width                  280
	:height                 15
	:value-x                109
	:value-y                245
	:value-length           35
	:stored-length          69
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group12
	:x                      20
	:y                      245
	:group-type             nil
	:members                (keyword8 keyword_value8 )
	:rows                   1
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   keyword9
	:owner                  controls4
	:help                   ""
	:x                      20
	:y                      270
	:width                  64
	:height                 15
	:value-x                20
	:value-y                270
	:value-length           8
	:stored-length          8
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   keyword_value9
	:owner                  controls4
	:help                   ""
	:x                      109
	:y                      270
	:width                  280
	:height                 15
	:value-x                109
	:value-y                270
	:value-length           35
	:stored-length          69
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group11
	:x                      20
	:y                      270
	:group-type             nil
	:members                (keyword9 keyword_value9 )
	:rows                   1
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls2
	:owner                  fits_popup
	:help                   ""
	:x                      0
	:y                      425
	:width                  400
	:height                 205
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   message1
	:owner                  controls2
	:help                   ""
	:x                      104
	:y                      10
	:width                  193
	:height                 13
	:foreground-color       ""
	:label                  "Important FITS Keywords (5)"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   message2
	:owner                  controls2
	:help                   ""
	:x                      152
	:y                      33
	:width                  96
	:height                 13
	:foreground-color       ""
	:label                  "(Edit by Hand)"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group2
	:x                      104
	:y                      10
	:group-type             nil
	:members                (message1 message2 )
	:rows                   0
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_sidereal_time_text
	:owner                  controls2
	:help                   ""
	:x                      20
	:y                      56
	:width                  367
	:height                 15
	:value-x                163
	:value-y                56
	:value-length           28
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "LST (hh:mm:ss.ss):  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_ra_text
	:owner                  controls2
	:help                   ""
	:x                      20
	:y                      81
	:width                  368
	:height                 15
	:value-x                156
	:value-y                81
	:value-length           29
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "RA (hh:mm:ss.ss):  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_dec_text
	:owner                  controls2
	:help                   ""
	:x                      20
	:y                      106
	:width                  367
	:height                 15
	:value-x                163
	:value-y                106
	:value-length           28
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "DEC (dd:mm:ss.ss):  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_epoch_text
	:owner                  controls2
	:help                   ""
	:x                      20
	:y                      131
	:width                  220
	:height                 15
	:value-x                80
	:value-y                131
	:value-length           20
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Epoch:  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fits_airmass_text
	:owner                  controls2
	:help                   ""
	:x                      20
	:y                      156
	:width                  236
	:height                 15
	:value-x                96
	:value-y                156
	:value-length           20
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Airmass:  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
)
