;GIL-3
(
(
	:type                   :menu
	:name                   ccd_setup_menu
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             ""
	:menu-item-labels       ("Configure CCD..." "Configure VME..." "" "Load CCDTool Configuration..." "Save CCDTool Configuration As..." "" "Properties..." "" "About CCDTool..." )
	:menu-item-label-types  (:string :string :string :string :string :string :string :string :string )
	:menu-item-states       (:inactive :active :active :active :active :active :active :active :active )
	:menu-item-defaults     (nil nil nil nil nil nil nil nil nil )
	:initial-selections     (nil nil nil nil nil nil nil nil nil )
	:menu-item-handlers     (nil nil nil load_ccdtool_config_callback save_ccdtool_config_callback nil nil nil nil )
	:menu-item-menus        (nil nil nil nil nil nil nil nil nil )
	:menu-item-colors       ("" "" "" "" "" "" "" "" "" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (ccd_setup_menu "Load CCDTool Configuration...")
		:when                   (Notify )
		:to                     (ccd_setup_menu "Load CCDTool Configuration...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (load_ccdtool_config_callback)
		)
		(
		:from                   (ccd_setup_menu "Save CCDTool Configuration As...")
		:when                   (Notify )
		:to                     (ccd_setup_menu "Save CCDTool Configuration As...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (save_ccdtool_config_callback)
		)
	)
)
(
	:type                   :base-window
	:name                   ccd
	:owner                  nil
	:width                  414
	:height                 130
	:background-color       ""
	:foreground-color       ""
	:label                  "CCD Controller"
	:label-type             :string
	:initial-state          :open
	:show-footer            t
	:resizable              t
	:icon-file              "../include/ccdtool.icon"
	:icon-label             "CCDTool"
	:icon-mask-file         ""
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (ccd)
		:when                   (Resize )
		:to                     (ccd)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ccd_resize)
		)
	)
)
(
	:type                   :control-area
	:name                   controls4
	:owner                  ccd
	:help                   ""
	:x                      0
	:y                      0
	:width                  414
	:height                 35
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   setup_button
	:owner                  controls4
	:help                   ""
	:x                      10
	:y                      8
	:width                  67
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Setup"
	:label-type             :string
	:initial-state          :active
	:menu                   ccd_setup_menu
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   expctl_button
	:owner                  controls4
	:help                   ""
	:x                      85
	:y                      8
	:width                  69
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Expose..."
	:label-type             :string
	:initial-state          :inactive
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   fits_button
	:owner                  controls4
	:help                   ""
	:x                      162
	:y                      8
	:width                  53
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "FITS..."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   ir_button
	:owner                  controls4
	:help                   ""
	:x                      223
	:y                      8
	:width                  67
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "FILTER..."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   direct_dsp_button
	:owner                  controls4
	:help                   ""
	:x                      298
	:y                      8
	:width                  51
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "DSP..."
	:label-type             :string
	:initial-state          :inactive
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   quit_button
	:owner                  controls4
	:help                   ""
	:x                      357
	:y                      8
	:width                  45
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Quit"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         quit_callback
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (ccd quit_button)
		:when                   (Notify )
		:to                     (ccd quit_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (quit_callback)
		)
	)
)
(
	:type                   :text-pane
	:name                   messages
	:owner                  ccd
	:help                   ""
	:x                      0
	:y                      35
	:width                  414
	:height                 95
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:read-only              t
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
)
