;GIL-3
(
(
	:type                   :menu
	:name                   vme_browse_menu
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             ""
	:menu-item-labels       ("Load VME Board File..." )
	:menu-item-label-types  (:string )
	:menu-item-states       (:active )
	:menu-item-defaults     (t )
	:initial-selections     (nil )
	:menu-item-handlers     (vme_file_load_callback )
	:menu-item-menus        (nil )
	:menu-item-colors       ("" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (vme_browse_menu "Load VME Board File...")
		:when                   (Notify )
		:to                     (vme_browse_menu "Load VME Board File...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (vme_file_load_callback)
		)
	)
)
(
	:type                   :menu
	:name                   timing_browse_menu
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             ""
	:menu-item-labels       ("Load Timing Board File..." )
	:menu-item-label-types  (:string )
	:menu-item-states       (:active )
	:menu-item-defaults     (nil )
	:initial-selections     (nil )
	:menu-item-handlers     (timing_file_load_callback )
	:menu-item-menus        (nil )
	:menu-item-colors       ("" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (timing_browse_menu "Load Timing Board File...")
		:when                   (Notify )
		:to                     (timing_browse_menu "Load Timing Board File...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (timing_file_load_callback)
		)
	)
)
(
	:type                   :menu
	:name                   utility_browse_menu
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             ""
	:menu-item-labels       ("Load Utility Board File..." )
	:menu-item-label-types  (:string )
	:menu-item-states       (:active )
	:menu-item-defaults     (nil )
	:initial-selections     (nil )
	:menu-item-handlers     (utility_file_load_callback )
	:menu-item-menus        (nil )
	:menu-item-colors       ("" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (utility_browse_menu "Load Utility Board File...")
		:when                   (Notify )
		:to                     (utility_browse_menu "Load Utility Board File...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (utility_file_load_callback)
		)
	)
)
(
	:type                   :menu
	:name                   setup_file_menu
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             ""
	:menu-item-labels       ("Load CCD Setup..." "Save Current CCD Setup" "Save Current CCD Setup As..." )
	:menu-item-label-types  (:string :string :string )
	:menu-item-states       (:active :inactive :active )
	:menu-item-defaults     (t nil nil )
	:initial-selections     (nil nil nil )
	:menu-item-handlers     (load_setup_callback nil save_as_setup_callback )
	:menu-item-menus        (nil nil nil )
	:menu-item-colors       ("" "" "" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (setup_file_menu "Load CCD Setup...")
		:when                   (Notify )
		:to                     (setup_file_menu "Load CCD Setup...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (load_setup_callback)
		)
		(
		:from                   (setup_file_menu "Save Current CCD Setup As...")
		:when                   (Notify )
		:to                     (setup_file_menu "Save Current CCD Setup As...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (save_as_setup_callback)
		)
	)
)
(
	:type                   :popup-window
	:name                   setup_popup
	:owner                  ccd
	:width                  324
	:height                 405
	:background-color       ""
	:foreground-color       ""
	:label                  "CCD Setup"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              nil
	:pinned                 t
	:done-handler           setup_unmap
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (setup_popup)
		:when                   (Done )
		:to                     (setup_popup)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (setup_unmap)
		)
	)
)
(
	:type                   :control-area
	:name                   controls1
	:owner                  setup_popup
	:help                   ""
	:x                      0
	:y                      0
	:width                  324
	:height                 405
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   file_button
	:owner                  controls1
	:help                   ""
	:x                      10
	:y                      10
	:width                  54
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "File"
	:label-type             :string
	:initial-state          :active
	:menu                   setup_file_menu
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   hardware_test_setting
	:owner                  controls1
	:help                   ""
	:x                      160
	:y                      40
	:width                  68
	:height                 23
	:value-x                160
	:value-y                40
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :stack
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         hardware_test_setting_callback
	:event-handler          nil
	:choices                ("Short" "Long" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:choice-defaults        (t nil )
	:initial-selections     (t nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (setup_popup hardware_test_setting)
		:when                   (Notify )
		:to                     (setup_popup hardware_test_setting)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (hardware_test_setting_callback)
		)
	)
)
(
	:type                   :setting
	:name                   hardware_test_select
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      41
	:width                  18
	:height                 23
	:value-x                16
	:value-y                41
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ()
	:choice-label-types     ()
	:choice-colors          ()
	:initial-selections     ()
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   hardware_test_message
	:owner                  controls1
	:help                   ""
	:x                      52
	:y                      46
	:width                  99
	:height                 13
	:foreground-color       ""
	:label                  "Hardware Test"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   vme_board_select
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      63
	:width                  18
	:height                 23
	:value-x                16
	:value-y                63
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ()
	:choice-label-types     ()
	:choice-colors          ()
	:initial-selections     ()
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   vme_board_setting
	:owner                  controls1
	:help                   ""
	:x                      52
	:y                      63
	:width                  240
	:height                 23
	:value-x                155
	:value-y                63
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :stack
	:selection-required     t
	:label                  "VME Board:     "
	:label-type             :string
	:notify-handler         vme_board_setting_callback
	:event-handler          nil
	:choices                ("Load Application" "Download" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:choice-defaults        (t nil )
	:initial-selections     (t nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (setup_popup vme_board_setting)
		:when                   (Notify )
		:to                     (setup_popup vme_board_setting)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (vme_board_setting_callback)
		)
	)
)
(
	:type                   :button
	:name                   vme_browse_button
	:owner                  controls1
	:help                   ""
	:x                      52
	:y                      85
	:width                  20
	:height                 15
	:constant-width         nil
	:button-type            :abbreviated
	:foreground-color       ""
	:label                  ""
	:label-type             :string
	:initial-state          :invisible
	:menu                   vme_browse_menu
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   vme_board_lda_value
	:owner                  controls1
	:help                   ""
	:x                      70
	:y                      85
	:width                  142
	:height                 15
	:value-x                172
	:value-y                85
	:value-length           5
	:stored-length          255
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Application #:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   vme_board_filename_value
	:owner                  controls1
	:help                   ""
	:x                      78
	:y                      85
	:width                  212
	:height                 15
	:value-x                114
	:value-y                85
	:value-length           22
	:stored-length          255
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "File:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :invisible
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   timing_board_select
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      103
	:width                  18
	:height                 23
	:value-x                16
	:value-y                103
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ()
	:choice-label-types     ()
	:choice-colors          ()
	:initial-selections     ()
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   timing_board_setting
	:owner                  controls1
	:help                   ""
	:x                      52
	:y                      103
	:width                  240
	:height                 23
	:value-x                155
	:value-y                103
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :stack
	:selection-required     t
	:label                  "Timing Board:"
	:label-type             :string
	:notify-handler         timing_board_setting_callback
	:event-handler          nil
	:choices                ("Load Application" "Download" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:choice-defaults        (t nil )
	:initial-selections     (t nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (setup_popup timing_board_setting)
		:when                   (Notify )
		:to                     (setup_popup timing_board_setting)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (timing_board_setting_callback)
		)
	)
)
(
	:type                   :button
	:name                   timing_browse_button
	:owner                  controls1
	:help                   ""
	:x                      52
	:y                      125
	:width                  20
	:height                 15
	:constant-width         nil
	:button-type            :abbreviated
	:foreground-color       ""
	:label                  ""
	:label-type             :string
	:initial-state          :invisible
	:menu                   timing_browse_menu
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   timing_board_lda_value
	:owner                  controls1
	:help                   ""
	:x                      70
	:y                      125
	:width                  142
	:height                 15
	:value-x                172
	:value-y                125
	:value-length           5
	:stored-length          255
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Application #:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   timing_board_filename_value
	:owner                  controls1
	:help                   ""
	:x                      78
	:y                      125
	:width                  212
	:height                 15
	:value-x                114
	:value-y                125
	:value-length           22
	:stored-length          255
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "File:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :invisible
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   utility_board_select
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      143
	:width                  18
	:height                 23
	:value-x                16
	:value-y                143
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ()
	:choice-label-types     ()
	:choice-colors          ()
	:initial-selections     ()
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   utility_board_setting
	:owner                  controls1
	:help                   ""
	:x                      52
	:y                      143
	:width                  238
	:height                 23
	:value-x                153
	:value-y                143
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :stack
	:selection-required     t
	:label                  "Utility Board: "
	:label-type             :string
	:notify-handler         utility_board_setting_callback
	:event-handler          nil
	:choices                ("Load Application" "Download" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:choice-defaults        (t nil )
	:initial-selections     (t nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (setup_popup utility_board_setting)
		:when                   (Notify )
		:to                     (setup_popup utility_board_setting)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (utility_board_setting_callback)
		)
	)
)
(
	:type                   :button
	:name                   utility_browse_button
	:owner                  controls1
	:help                   ""
	:x                      52
	:y                      165
	:width                  20
	:height                 15
	:constant-width         nil
	:button-type            :abbreviated
	:foreground-color       ""
	:label                  ""
	:label-type             :string
	:initial-state          :invisible
	:menu                   utility_browse_menu
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   utility_board_lda_value
	:owner                  controls1
	:help                   ""
	:x                      70
	:y                      165
	:width                  142
	:height                 15
	:value-x                172
	:value-y                165
	:value-length           5
	:stored-length          255
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Application #:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   utility_board_filename_value
	:owner                  controls1
	:help                   ""
	:x                      78
	:y                      165
	:width                  212
	:height                 15
	:value-x                114
	:value-y                165
	:value-length           22
	:stored-length          255
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "File:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :invisible
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   power_on_select
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      183
	:width                  18
	:height                 23
	:value-x                16
	:value-y                183
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ()
	:choice-label-types     ()
	:choice-colors          ()
	:initial-selections     ()
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   power_on_message
	:owner                  controls1
	:help                   ""
	:x                      52
	:y                      188
	:width                  65
	:height                 13
	:foreground-color       ""
	:label                  "Power On"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   target_ccd_temp_select
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      204
	:width                  18
	:height                 23
	:value-x                16
	:value-y                204
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ()
	:choice-label-types     ()
	:choice-colors          ()
	:initial-selections     ()
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   target_ccd_temp_text
	:owner                  controls1
	:help                   ""
	:x                      54
	:y                      209
	:width                  170
	:height                 15
	:value-x                184
	:value-y                209
	:value-length           5
	:stored-length          255
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Target CCD Temp:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   C_message
	:owner                  controls1
	:help                   ""
	:x                      223
	:y                      209
	:width                  9
	:height                 13
	:foreground-color       ""
	:label                  "C"
	:label-type             :string
	:label-bold             nil
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   twos_complement_select
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      229
	:width                  18
	:height                 23
	:value-x                16
	:value-y                229
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ()
	:choice-label-types     ()
	:choice-colors          ()
	:initial-selections     ()
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   twos_complement_setting
	:owner                  controls1
	:help                   ""
	:x                      54
	:y                      229
	:width                  188
	:height                 23
	:value-x                173
	:value-y                229
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "2's complement:"
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("Yes" "No" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (t nil )
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   gain_select
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      255
	:width                  18
	:height                 23
	:value-x                16
	:value-y                255
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ()
	:choice-label-types     ()
	:choice-colors          ()
	:initial-selections     ()
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   gain_setting
	:owner                  controls1
	:help                   ""
	:x                      54
	:y                      255
	:width                  126
	:height                 23
	:value-x                96
	:value-y                255
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Gain:"
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("High" "Low" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (t nil )
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   idle_select
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      283
	:width                  18
	:height                 23
	:value-x                16
	:value-y                283
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ()
	:choice-label-types     ()
	:choice-colors          ()
	:initial-selections     ()
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   idle_setting
	:owner                  controls1
	:help                   ""
	:x                      56
	:y                      283
	:width                  110
	:height                 23
	:value-x                97
	:value-y                283
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Idle: "
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("Yes" "No" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (t nil )
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   dimensions_select
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      311
	:width                  18
	:height                 23
	:value-x                16
	:value-y                311
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ()
	:choice-label-types     ()
	:choice-colors          ()
	:initial-selections     ()
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   dimensions_message
	:owner                  controls1
	:help                   ""
	:x                      53
	:y                      316
	:width                  86
	:height                 13
	:foreground-color       ""
	:label                  "Dimensions:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   ncols_text
	:owner                  controls1
	:help                   ""
	:x                      80
	:y                      333
	:width                  123
	:height                 15
	:value-x                155
	:value-y                333
	:value-length           6
	:stored-length          255
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "# of Cols: "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   nrows_text
	:owner                  controls1
	:help                   ""
	:x                      80
	:y                      354
	:width                  125
	:height                 15
	:value-x                157
	:value-y                354
	:value-length           6
	:stored-length          255
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "# of Rows:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   apply_button
	:owner                  controls1
	:help                   ""
	:x                      20
	:y                      380
	:width                  53
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Apply"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         ccd_setup_apply_callback
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (setup_popup apply_button)
		:when                   (Notify )
		:to                     (setup_popup apply_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ccd_setup_apply_callback)
		)
	)
)
(
	:type                   :button
	:name                   select_all_button
	:owner                  controls1
	:help                   ""
	:x                      80
	:y                      380
	:width                  74
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Select All"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         select_all_button_callback
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (setup_popup select_all_button)
		:when                   (Notify )
		:to                     (setup_popup select_all_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_all_button_callback)
		)
	)
)
(
	:type                   :button
	:name                   abort_button
	:owner                  controls1
	:help                   ""
	:x                      110
	:y                      380
	:width                  90
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Abort Setup"
	:label-type             :string
	:initial-state          :invisible
	:menu                   nil
	:notify-handler         abort_setup_callback
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (setup_popup abort_button)
		:when                   (Notify )
		:to                     (setup_popup abort_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (abort_setup_callback)
		)
	)
)
(
	:type                   :button
	:name                   clear_all_button
	:owner                  controls1
	:help                   ""
	:x                      170
	:y                      380
	:width                  70
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Clear All"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         clear_all_button_callback
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (setup_popup clear_all_button)
		:when                   (Notify )
		:to                     (setup_popup clear_all_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (clear_all_button_callback)
		)
	)
)
(
	:type                   :button
	:name                   reset_button
	:owner                  controls1
	:help                   ""
	:x                      260
	:y                      380
	:width                  51
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Reset"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         ccd_setup_reset_callback
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (setup_popup reset_button)
		:when                   (Notify )
		:to                     (setup_popup reset_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ccd_setup_reset_callback)
		)
	)
)
)
