#ifndef _long_test_popup_h
#define _long_test_popup_h

#include "mydb.h"

#define	NUM_LONG_TEST_TAGS	3	

#define	NUM_LONG_TEST_STRINGS	2	

#define		CCD_LDA_SETTING		0
#define		CCD_FILENAME_SETTING	1
#define		NO_SETTING		1
#define		YES_SETTING		0
#define		HIGH_SETTING		0
#define		LOW_SETTING		1

typedef	unsigned long	long_test_opaque;

typedef struct _long_test_attr {
	gfm_popup_objects	*Gfm;
	mydb_opaque		*db;
	int                     timing_long_select;
	int                     timing_long_num;
} LONG_TEST_OBJ;

typedef enum long_test_tags {
	TIMING_LONG_SELECT=1,
	TIMING_LONG_NUM,
        LONG_DB
} LONG_TEST_TAGS;

extern	char	*long_test_io_strings[NUM_LONG_TEST_TAGS+1];


#endif /* _long_test_popup_h */

