#ifndef _mydb_h
#define _mydb_h

/* $Header: /rosie/src/ccd_utilities/include/RCS/mydb.h,v 1.2 1995/08/21 18:21:58 moore Exp $
 */

#define		MYDB_MAXBUFLEN		255

#define		MYDB_CREATE_ERR		1
#define		MYDB_OPEN_ERR		2
#define		MYDB_ADD_ATTR_ERR	3

#define		MYDB_ATTRIBUTE		100
#define		MYDB_FILENAME		101
#define		MYDB_RESOURCE_TYPE	102
#define		MYDB_TOTAL_RECORDS	103
#define		MYDB_BAD_RECORDS	104
#define		MYDB_LIMIT_RECORDS	106
#define		MYDB_APPEND		107

#define		MYDB_UNKNOWN		10
#define		MYDB_BOOLEAN		11
#define		MYDB_BINARY		12
#define		MYDB_OCTAL		13
#define		MYDB_INTEGER		14
#define		MYDB_HEX		15
#define		MYDB_FLOAT		16
#define		MYDB_CHAR		17
#define		MYDB_RAW		18

typedef	unsigned long	mydb_opaque;
int			mydb_errno;

extern mydb_opaque	*mydb_create();

/*
 * $Log: mydb.h,v $
 * Revision 1.2  1995/08/21 18:21:58  moore
 * ANSI conversion
 *
 * Revision 1.1  1995/02/10 02:51:26  tjk
 * Initial revision
 *
 *
 */

#endif /* _mydb.h */
