#ifndef _version_h
#define _version_h

/* $Header: /rosie/src/ccd_utilities/include/RCS/version.h,v 1.18 1997/01/03 22:58:45 gumrukcu Exp $
 */

#ifdef	SBUSTOOL
#	define	VERSION	"IRCAM v. 1.0  3/19/97"
#	define	WELCOME_MESSAGE	"Welcome to IRCAM\n"
#	define	CONFIG_FILE	"/usr/local/etc/ccdtool/ircamconfig."
#else	/* VMETOOL */
#	ifdef	IRTOOL
#		define	VERSION	"IRtool 1.2.5 05/13/96"
#		define	WELCOME_MESSAGE	"Welcome to IRTool\n"
#		define	CONFIG_FILE	"/usr/local/etc/ccdtool/irtoolconfig."
#	else
#		define	VERSION	"CCDtool 1.3.1 11/15/96"
#		define	WELCOME_MESSAGE	"Welcome to CCDTool\n"
#		define	CONFIG_FILE	"/usr/local/etc/ccdtool/ccdtoolconfig."
#	endif	/* IRTOOL */
#endif	/* SBUSTOOL */

/*
 * $Log: version.h,v $
 * Revision 1.18  1997/01/03 22:58:45  gumrukcu
 * dir
 * ***ABDUL***
 * change sbustool to ccdtool.
 *
 * Revision 1.17  1997/01/03 00:32:44  gumrukcu
 * ***ABDUL***
 * Change the version number to 1.4
 *
 * Revision 1.16  1996/11/25 21:27:21  peker
 * New version.
 *
 * Revision 1.15  1996/06/14  23:01:17  peker
 * added pause, resume and change time options for sbustool
 *
 * Revision 1.14  1996/05/13  16:42:18  tjk
 * Changed date
 *
 * Revision 1.13  1996/05/07 17:22:09  tjk
 * Updated version.
 *
 * Revision 1.12  1996/04/10 18:52:15  tjk
 * New date for versions.
 *
 * Revision 1.11  1996/03/09 00:56:36  tjk
 * Changed Date to 3/8/96
 *
 * Revision 1.10  1996/02/14  18:18:18  tjk
 * Changed version numbers and dates.
 *
 * Revision 1.9  1996/02/05  17:44:02  tjk
 * Added version specific CONFIG_FILE.
 *
 * Revision 1.8  1996/01/25  19:35:38  gumrukcu
 * The version numbers are changed.
 *
 * Revision 1.7  1995/12/12  22:33:20  tjk
 * Merged SBUS and VME versions
 *
 * Revision 1.6  1995/08/21  19:06:09  moore
 * ANSI conversion
 *
 * Revision 1.5  1995/08/10 16:14:55  tjk
 * *** empty log message ***
 *
 * Revision 1.4  1995/05/23  21:55:13  tjk
 * completed temperature upgrade.
 *
 * Revision 1.3  1995/04/06  00:10:17  tjk
 * Added date to VERSION.
 *
 * Revision 1.2  1995/03/31  02:05:58  tjk
 * Changed version to 1.2
 *
 * Revision 1.1  1995/02/10  02:41:08  tjk
 * Initial revision
 *
 *
 */

#endif /* _version_h */

