/* $Header: /rosie/src/ccd_utilities/tool/RCS/direct_dsp_data.c,v 1.2 1995/08/21 18:42:10 tjk Exp $
 */

#include <xview/xview.h>
#include <xview/panel.h>
#include "ccd_error.h"
#include "direct_dsp.h"
#include "ccd.h"

/*>>>>>  Function Prototypes <<<<<*/
#ifdef	__STDC__
int set_direct_dsp_value(...);
setup_opaque
	get_direct_dsp_value(DIRECT_DSP_OBJ *obj, DIRECT_DSP_TAGS dsp_item);
#else	/* K&R C */
int set_direct_dsp_value();
setup_opaque get_direct_dsp_value();
#endif	/* __STDC__ */
/*>>>>>  End Function Prototypes <<<<<*/


#ifdef	__STDC__
int set_direct_dsp_value(...)
#else	/* K&R C */
int
set_direct_dsp_value(va_alist)
va_dcl
#endif	/* __STDC__ */
{
	va_list		ap;
	DIRECT_DSP_OBJ	*direct_dsp;
	int		modifier;
	int		int_value;

#ifdef	__STDC__
	va_start(ap, NULL);
#else	/* K&R C */
	va_start(ap);
#endif	/* __STDC__ */

	direct_dsp = va_arg(ap, DIRECT_DSP_OBJ *);
	modifier = va_arg(ap, int);

	while (modifier != NULL) {
		switch (modifier) {
			case DSP_BOARD:
				direct_dsp->board = va_arg(ap, int);
				break;
			case DSP_COMMAND:
				direct_dsp->command = va_arg(ap, int);
				break;
			case DSP_MEM_SPACE:
				direct_dsp->mem_space = va_arg(ap, char);
				break;
			case DSP_ADDRESS:
				direct_dsp->address = va_arg(ap, int);
				break;
			case DSP_DATA:
				direct_dsp->data = va_arg(ap, int);
				break;
			case DSP_ARG1_FIELD:
				direct_dsp->arg1_field = va_arg(ap, int);
				break;
			case DSP_ARG2_FIELD:
				direct_dsp->arg2_field = va_arg(ap, int);
				break;
			default:
				printf("bad set_direct_dsp_value\n");
		}

		modifier = va_arg(ap, int);
	}
}

#ifdef	__STDC__
setup_opaque
get_direct_dsp_value(DIRECT_DSP_OBJ *obj, DIRECT_DSP_TAGS dsp_item)
#else	/* K&R C */
setup_opaque	
get_direct_dsp_value(obj, dsp_item)
DIRECT_DSP_OBJ	*obj;
DIRECT_DSP_TAGS	dsp_item;
#endif	/* __STDC__ */
{
	switch (dsp_item) {
		case DSP_BOARD:
			return (direct_dsp_opaque)obj->board;
                case DSP_COMMAND:
			return (direct_dsp_opaque)obj->command;
                case DSP_MEM_SPACE:
			return (direct_dsp_opaque)obj->mem_space;
                case DSP_ADDRESS:
			return (direct_dsp_opaque)obj->address;
                case DSP_DATA:
			return (direct_dsp_opaque)obj->data;
                case DSP_ARG1_FIELD:
                        return (direct_dsp_opaque)obj->arg1_field;
                case DSP_ARG2_FIELD:
                        return (direct_dsp_opaque)obj->arg2_field;
		defualt:
			printf("bad direct dsp value\n");
	}
}


/*
 * $Log: direct_dsp_data.c,v $
 * Revision 1.2  1995/08/21  18:42:10  tjk
 * converting to ANSI C standard
 *
 * Revision 1.1  1995/02/10  03:53:55  tjk
 * Initial revision
 *
 *
 */
