;GIL-3
(
(
	:type                   :menu
	:name                   timing_browse_menu
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             ""
	:menu-item-labels       ("Load Timing Board File..." )
	:menu-item-label-types  (:string )
	:menu-item-states       (:active )
	:menu-item-defaults     (nil )
	:initial-selections     (nil )
	:menu-item-handlers     (timing_file_load_callback )
	:menu-item-menus        (nil )
	:menu-item-colors       ("" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (timing_browse_menu "Load Timing Board File...")
		:when                   (Notify )
		:to                     (timing_browse_menu "Load Timing Board File...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (timing_file_load_callback)
		)
	)
)
(
	:type                   :menu
	:name                   setup_file_menu
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             ""
	:menu-item-labels       ("Load CCD Setup..." "Save Current CCD Setup" "Save Current CCD Setup As..." )
	:menu-item-label-types  (:string :string :string )
	:menu-item-states       (:active :inactive :active )
	:menu-item-defaults     (t nil nil )
	:initial-selections     (nil nil nil )
	:menu-item-handlers     (load_setup_callback nil save_as_setup_callback )
	:menu-item-menus        (nil nil nil )
	:menu-item-colors       ("" "" "" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (setup_file_menu "Load CCD Setup...")
		:when                   (Notify )
		:to                     (setup_file_menu "Load CCD Setup...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (load_setup_callback)
		)
		(
		:from                   (setup_file_menu "Save Current CCD Setup As...")
		:when                   (Notify )
		:to                     (setup_file_menu "Save Current CCD Setup As...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (save_as_setup_callback)
		)
	)
)
(
	:type                   :popup-window
	:name                   setup_popup
	:owner                  ccd
	:width                  313
	:height                 286
	:background-color       ""
	:foreground-color       ""
	:label                  "CCD Setup"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              nil
	:pinned                 t
	:done-handler           setup_unmap
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (setup_popup)
		:when                   (Done )
		:to                     (setup_popup)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (setup_unmap)
		)
	)
)
(
	:type                   :control-area
	:name                   controls1
	:owner                  setup_popup
	:help                   ""
	:x                      0
	:y                      0
	:width                  313
	:height                 286
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   file_button
	:owner                  controls1
	:help                   ""
	:x                      10
	:y                      10
	:width                  54
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "File"
	:label-type             :string
	:initial-state          :active
	:menu                   setup_file_menu
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   reset_select
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      36
	:width                  18
	:height                 23
	:value-x                16
	:value-y                36
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ()
	:choice-label-types     ()
	:choice-colors          ()
	:initial-selections     ()
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   reset_timing_message
	:owner                  controls1
	:help                   ""
	:x                      50
	:y                      40
	:width                  111
	:height                 13
	:foreground-color       ""
	:label                  "Reset Controller"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   hardware_test_select
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      64
	:width                  18
	:height                 23
	:value-x                16
	:value-y                64
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ()
	:choice-label-types     ()
	:choice-colors          ()
	:initial-selections     ()
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   hardware_test_setting
	:owner                  controls1
	:help                   ""
	:x                      160
	:y                      66
	:width                  68
	:height                 23
	:value-x                160
	:value-y                66
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :stack
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         hardware_test_setting_callback
	:event-handler          nil
	:choices                ("Short" "Long" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:choice-defaults        (t nil )
	:initial-selections     (t nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (setup_popup hardware_test_setting)
		:when                   (Notify )
		:to                     (setup_popup hardware_test_setting)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (hardware_test_setting_callback)
		)
	)
)
(
	:type                   :message
	:name                   hardware_test_message
	:owner                  controls1
	:help                   ""
	:x                      50
	:y                      70
	:width                  102
	:height                 13
	:foreground-color       ""
	:label                  "Hardware Test:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   timing_board_select
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      90
	:width                  18
	:height                 23
	:value-x                16
	:value-y                90
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ()
	:choice-label-types     ()
	:choice-colors          ()
	:initial-selections     ()
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   timing_board_setting
	:owner                  controls1
	:help                   ""
	:x                      50
	:y                      90
	:width                  240
	:height                 23
	:value-x                153
	:value-y                90
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :stack
	:selection-required     t
	:label                  "Timing Board:"
	:label-type             :string
	:notify-handler         timing_board_setting_callback
	:event-handler          nil
	:choices                ("Load Application" "Download" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:choice-defaults        (t nil )
	:initial-selections     (t nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (setup_popup timing_board_setting)
		:when                   (Notify )
		:to                     (setup_popup timing_board_setting)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (timing_board_setting_callback)
		)
	)
)
(
	:type                   :button
	:name                   timing_browse_button
	:owner                  controls1
	:help                   ""
	:x                      50
	:y                      120
	:width                  20
	:height                 15
	:constant-width         nil
	:button-type            :abbreviated
	:foreground-color       ""
	:label                  ""
	:label-type             :string
	:initial-state          :invisible
	:menu                   timing_browse_menu
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   timing_board_lda_value
	:owner                  controls1
	:help                   ""
	:x                      70
	:y                      120
	:width                  142
	:height                 15
	:value-x                172
	:value-y                120
	:value-length           5
	:stored-length          255
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Application #:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   timing_board_filename_value
	:owner                  controls1
	:help                   ""
	:x                      80
	:y                      120
	:width                  212
	:height                 15
	:value-x                116
	:value-y                120
	:value-length           22
	:stored-length          255
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "File:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :invisible
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   camera_on_select
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      140
	:width                  18
	:height                 23
	:value-x                16
	:value-y                140
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ()
	:choice-label-types     ()
	:choice-colors          ()
	:initial-selections     ()
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   camera_on_message
	:owner                  controls1
	:help                   ""
	:x                      50
	:y                      150
	:width                  76
	:height                 13
	:foreground-color       ""
	:label                  "Camera On"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   dimensions_select
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      176
	:width                  18
	:height                 23
	:value-x                16
	:value-y                176
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ()
	:choice-label-types     ()
	:choice-colors          ()
	:initial-selections     ()
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   dimensions_message
	:owner                  controls1
	:help                   ""
	:x                      50
	:y                      180
	:width                  86
	:height                 13
	:foreground-color       ""
	:label                  "Dimensions:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   ncols_text
	:owner                  controls1
	:help                   ""
	:x                      60
	:y                      200
	:width                  123
	:height                 15
	:value-x                135
	:value-y                200
	:value-length           6
	:stored-length          255
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "# of Cols: "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   nrows_text
	:owner                  controls1
	:help                   ""
	:x                      60
	:y                      220
	:width                  125
	:height                 15
	:value-x                137
	:value-y                220
	:value-length           6
	:stored-length          255
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "# of Rows:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   apply_button
	:owner                  controls1
	:help                   ""
	:x                      10
	:y                      250
	:width                  53
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Apply"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         ccd_setup_apply_callback
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (setup_popup apply_button)
		:when                   (Notify )
		:to                     (setup_popup apply_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ccd_setup_apply_callback)
		)
	)
)
(
	:type                   :button
	:name                   select_all_button
	:owner                  controls1
	:help                   ""
	:x                      70
	:y                      250
	:width                  74
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Select All"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         select_all_button_callback
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (setup_popup select_all_button)
		:when                   (Notify )
		:to                     (setup_popup select_all_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_all_button_callback)
		)
	)
)
(
	:type                   :button
	:name                   abort_button
	:owner                  controls1
	:help                   ""
	:x                      100
	:y                      250
	:width                  90
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Abort Setup"
	:label-type             :string
	:initial-state          :invisible
	:menu                   nil
	:notify-handler         abort_setup_callback
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (setup_popup abort_button)
		:when                   (Notify )
		:to                     (setup_popup abort_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (abort_setup_callback)
		)
	)
)
(
	:type                   :button
	:name                   clear_all_button
	:owner                  controls1
	:help                   ""
	:x                      150
	:y                      250
	:width                  70
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Clear All"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         clear_all_button_callback
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (setup_popup clear_all_button)
		:when                   (Notify )
		:to                     (setup_popup clear_all_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (clear_all_button_callback)
		)
	)
)
(
	:type                   :button
	:name                   reset_button
	:owner                  controls1
	:help                   ""
	:x                      240
	:y                      250
	:width                  51
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Reset"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         ccd_setup_reset_callback
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (setup_popup reset_button)
		:when                   (Notify )
		:to                     (setup_popup reset_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ccd_setup_reset_callback)
		)
	)
)
)
