;GIL-3
(
(
	:type                   :popup-window
	:name                   direct_dsp_popup
	:owner                  ccd
	:width                  293
	:height                 378
	:background-color       ""
	:foreground-color       ""
	:label                  "DSP Command"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              nil
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls1
	:owner                  direct_dsp_popup
	:help                   ""
	:x                      0
	:y                      0
	:width                  293
	:height                 378
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   board_setting
	:owner                  controls1
	:help                   ""
	:x                      12
	:y                      12
	:width                  220
	:height                 40
	:value-x                12
	:value-y                29
	:rows                   1
	:columns                0
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Board:"
	:label-type             :string
	:notify-handler         board_setting_callback
	:event-handler          nil
	:choices                ("SBUS" "Timing" "Utility" "Manual" )
	:choice-label-types     (:string :string :string :string )
	:choice-colors          ("" "" "" "" )
	:initial-selections     (nil nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (direct_dsp_popup board_setting)
		:when                   (Notify )
		:to                     (direct_dsp_popup board_setting)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (board_setting_callback)
		)
	)
)
(
	:type                   :setting
	:name                   boot_command_setting
	:owner                  controls1
	:help                   ""
	:x                      10
	:y                      60
	:width                  207
	:height                 40
	:value-x                10
	:value-y                77
	:rows                   1
	:columns                0
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     nil
	:label                  "Boot Commands:"
	:label-type             :string
	:notify-handler         boot_command_callback
	:event-handler          nil
	:choices                ("LDA" "RDM" "RST" "TDL" "WRM" )
	:choice-label-types     (:string :string :string :string :string )
	:choice-colors          ("" "" "" "" "" )
	:initial-selections     (nil nil nil nil nil )
	:initial-state          :inactive
	:user-data              ()
	:actions                (
		(
		:from                   (direct_dsp_popup boot_command_setting)
		:when                   (Notify )
		:to                     (direct_dsp_popup boot_command_setting)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (boot_command_callback)
		)
	)
)
(
	:type                   :setting
	:name                   sbus_command_setting
	:owner                  controls1
	:help                   ""
	:x                      10
	:y                      110
	:width                  170
	:height                 40
	:value-x                10
	:value-y                127
	:rows                   1
	:columns                0
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     nil
	:label                  "SBUS Commands:"
	:label-type             :string
	:notify-handler         sbus_command_callback
	:event-handler          nil
	:choices                ("CSR" "ADR" "BCR" "Reset" )
	:choice-label-types     (:string :string :string :string )
	:choice-colors          ("" "" "" "" )
	:initial-selections     (nil nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (direct_dsp_popup sbus_command_setting)
		:when                   (Notify )
		:to                     (direct_dsp_popup sbus_command_setting)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sbus_command_callback)
		)
	)
)
(
	:type                   :setting
	:name                   timing_command_setting
	:owner                  controls1
	:help                   ""
	:x                      10
	:y                      110
	:width                  172
	:height                 63
	:value-x                10
	:value-y                127
	:rows                   2
	:columns                0
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     nil
	:label                  "Timing Commands:"
	:label-type             :string
	:notify-handler         timing_command_callback
	:event-handler          nil
	:choices                ("CLR" "HGN" "IDL" "LGN" "RAD" "RDC" "SBV" "STP" )
	:choice-label-types     (:string :string :string :string :string :string :string :string )
	:choice-colors          ("" "" "" "" "" "" "" "" )
	:initial-selections     (nil nil nil nil nil nil nil nil )
	:initial-state          :invisible
	:user-data              ()
	:actions                (
		(
		:from                   (direct_dsp_popup timing_command_setting)
		:when                   (Notify )
		:to                     (direct_dsp_popup timing_command_setting)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (timing_command_callback)
		)
	)
)
(
	:type                   :setting
	:name                   utility_command_setting
	:owner                  controls1
	:help                   ""
	:x                      10
	:y                      110
	:width                  172
	:height                 63
	:value-x                10
	:value-y                127
	:rows                   2
	:columns                0
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     nil
	:label                  "Utility Commands:"
	:label-type             :string
	:notify-handler         utility_command_callback
	:event-handler          nil
	:choices                ("AEX" "CSH" "OSH" "PEX" "PON" "REX" "SEX" "SYR" )
	:choice-label-types     (:string :string :string :string :string :string :string :string )
	:choice-colors          ("" "" "" "" "" "" "" "" )
	:initial-selections     (nil nil nil nil nil nil nil nil )
	:initial-state          :invisible
	:user-data              ()
	:actions                (
		(
		:from                   (direct_dsp_popup utility_command_setting)
		:when                   (Notify )
		:to                     (direct_dsp_popup utility_command_setting)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (utility_command_callback)
		)
	)
)
(
	:type                   :group
	:name                   group1
	:x                      10
	:y                      110
	:group-type             nil
	:members                (sbus_command_setting timing_command_setting utility_command_setting )
	:rows                   0
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   mem_space_setting
	:owner                  controls1
	:help                   ""
	:x                      10
	:y                      190
	:width                  182
	:height                 23
	:value-x                120
	:value-y                190
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Memory Space:"
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("P" "X" "Y" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "" "" )
	:initial-selections     (nil nil nil )
	:initial-state          :inactive
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   header_field
	:owner                  controls1
	:help                   ""
	:x                      10
	:y                      220
	:width                  135
	:height                 15
	:value-x                81
	:value-y                220
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Header: $"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :invisible
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   address_text
	:owner                  controls1
	:help                   ""
	:x                      10
	:y                      220
	:width                  146
	:height                 15
	:value-x                92
	:value-y                220
	:value-length           8
	:stored-length          255
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Address:  $"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :inactive
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   command_field
	:owner                  controls1
	:help                   ""
	:x                      10
	:y                      250
	:width                  197
	:height                 15
	:value-x                143
	:value-y                250
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Command: (ASCII) "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :invisible
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   data_text
	:owner                  controls1
	:help                   ""
	:x                      10
	:y                      250
	:width                  122
	:height                 15
	:value-x                68
	:value-y                250
	:value-length           8
	:stored-length          255
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Data:  $"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :inactive
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   arg1_field
	:owner                  controls1
	:help                   ""
	:x                      10
	:y                      290
	:width                  122
	:height                 15
	:value-x                68
	:value-y                290
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Arg1:  $"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :invisible
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   arg2_field
	:owner                  controls1
	:help                   ""
	:x                      10
	:y                      320
	:width                  122
	:height                 15
	:value-x                68
	:value-y                320
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Arg2:  $"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :invisible
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   abort_button
	:owner                  controls1
	:help                   ""
	:x                      80
	:y                      350
	:width                  118
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Abort Command"
	:label-type             :string
	:initial-state          :invisible
	:menu                   nil
	:notify-handler         abort_command_callback
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (direct_dsp_popup abort_button)
		:when                   (Notify )
		:to                     (direct_dsp_popup abort_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (abort_command_callback)
		)
	)
)
(
	:type                   :button
	:name                   send_command_button
	:owner                  controls1
	:help                   ""
	:x                      80
	:y                      350
	:width                  115
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Send Command"
	:label-type             :string
	:initial-state          :inactive
	:menu                   nil
	:notify-handler         send_command_callback
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (direct_dsp_popup send_command_button)
		:when                   (Notify )
		:to                     (direct_dsp_popup send_command_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (send_command_callback)
		)
	)
)
)
