;GIL-3
(
(
	:type                   :menu
	:name                   vme_file_menu
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             ""
	:menu-item-labels       ("Load VME Setup..." "Save Current VME Setup" "Save Current VME Setup As..." )
	:menu-item-label-types  (:string :string :string )
	:menu-item-states       (:active :inactive :active )
	:menu-item-defaults     (t nil nil )
	:initial-selections     (nil nil nil )
	:menu-item-handlers     (load_vme_callback nil save_as_vme_callback )
	:menu-item-menus        (nil nil nil )
	:menu-item-colors       ("" "" "" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (vme_file_menu "Load VME Setup...")
		:when                   (Notify )
		:to                     (vme_file_menu "Load VME Setup...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (load_vme_callback)
		)
		(
		:from                   (vme_file_menu "Save Current VME Setup As...")
		:when                   (Notify )
		:to                     (vme_file_menu "Save Current VME Setup As...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (save_as_vme_callback)
		)
	)
)
(
	:type                   :popup-window
	:name                   vme_popup
	:owner                  ccd
	:width                  276
	:height                 281
	:background-color       ""
	:foreground-color       ""
	:label                  "VME Setup"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              nil
	:pinned                 t
	:done-handler           vme_setup_unmap
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (vme_popup)
		:when                   (Done )
		:to                     (vme_popup)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (vme_setup_unmap)
		)
	)
)
(
	:type                   :control-area
	:name                   controls1
	:owner                  vme_popup
	:help                   ""
	:x                      0
	:y                      0
	:width                  276
	:height                 281
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   vme_file_button
	:owner                  controls1
	:help                   ""
	:x                      10
	:y                      10
	:width                  54
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "File"
	:label-type             :string
	:initial-state          :active
	:menu                   vme_file_menu
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   vme_to_controller_rev
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      48
	:width                  237
	:height                 15
	:value-x                173
	:value-y                48
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "VME to controller Rev:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   vme_interface
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      72
	:width                  242
	:height                 15
	:value-x                122
	:value-y                72
	:value-length           17
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "VME Interface:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   base_memory_addr
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      96
	:width                  241
	:height                 15
	:value-x                177
	:value-y                96
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Base Memory Addr:  0x"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   memory_offset
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      120
	:width                  241
	:height                 15
	:value-x                177
	:value-y                120
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Memory Offset:        0x"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   memory_size
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      144
	:width                  241
	:height                 15
	:value-x                177
	:value-y                144
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Memory Size:            0x"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   command_addr
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      168
	:width                  241
	:height                 15
	:value-x                177
	:value-y                168
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Command Addr:        0x"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   reply_addr
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      192
	:width                  240
	:height                 15
	:value-x                176
	:value-y                192
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Reply Addr:               0x"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   image_addr
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      216
	:width                  239
	:height                 15
	:value-x                175
	:value-y                216
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Image Addr:              0x"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   apply_button
	:owner                  controls1
	:help                   ""
	:x                      40
	:y                      248
	:width                  53
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Apply"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         vme_apply_callback
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (vme_popup apply_button)
		:when                   (Notify )
		:to                     (vme_popup apply_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (vme_apply_callback)
		)
	)
)
(
	:type                   :button
	:name                   reset_button
	:owner                  controls1
	:help                   ""
	:x                      176
	:y                      248
	:width                  51
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Reset"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         vme_reset_callback
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (vme_popup reset_button)
		:when                   (Notify )
		:to                     (vme_popup reset_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (vme_reset_callback)
		)
	)
)
)
