#ifndef _direct_dsp_h
#define _direct_dsp_h

/* $Header: /rosie/src/ccd_utilities/include/RCS/direct_dsp.h,v 1.3 1995/08/11 03:28:20 tjk Exp $
 */

#define	NO_COMMAND	-1
#define NO_BOARD	-1
int board_set;

typedef	unsigned long	direct_dsp_opaque;

typedef struct _direct_dsp_attr {
	int	board;
	int	command;
	char	mem_space;
	int	address;
	int	data;
        int     arg1_field;
        int     arg2_field;
} DIRECT_DSP_OBJ;

typedef enum direct_dsp_tags {
	DSP_BOARD=1,
	DSP_COMMAND,
	DSP_MEM_SPACE,
	DSP_ADDRESS,
	DSP_DATA,
        DSP_ARG1_FIELD,
        DSP_ARG2_FIELD,
} DIRECT_DSP_TAGS;

/*
 * $Log: direct_dsp.h,v $
 * Revision 1.3  1995/08/11  03:28:20  tjk
 * converting to ANSI C standards
 *
 * Revision 1.2  1995/08/11  03:14:09  tjk
 * converting to ANSI C standards
 *
 * Revision 1.1  1995/02/10  03:24:59  tjk
 * Initial revision
 *
 *
 */

#endif /* _direct_dsp_h */

