#ifndef _vme_h
#define _vme_h

/* $Header: /rosie/src/ccd_utilities/include/RCS/vme.h,v 1.3 1995/08/11 03:28:24 tjk Exp $
 */

#define NUM_VME_TAGS		9
#define	NUM_VME_STRINGS		8

typedef unsigned long	vme_opaque;

typedef struct _vme_attr {
	gfm_popup_objects	*Gfm;
	char			*vme_interface;
	int			base_memory_addr;
	int			memory_offset;
	int			memory_size;
	int			command_addr;
	int			reply_addr;
	int			image_addr;
	int			open;
	char			*vme_to_controller_rev;
} VME_OBJ;

typedef enum vme_tags {
	VME_INTERFACE=1,
	BASE_MEMORY_ADDR,
	MEMORY_OFFSET,
	MEMORY_SIZE,
	COMMAND_ADDR,
	REPLY_ADDR,
	IMAGE_ADDR,
	VME_OPEN,
	VME_TO_CONTROLLER_REV
} VME_TAGS;

extern	char	*vme_io_strings[NUM_VME_TAGS+1];

/*
 * $Log: vme.h,v $
 * Revision 1.3  1995/08/11 03:28:24  tjk
 * converting to ANSI C standards
 *
 * Revision 1.2  1995/08/11  03:14:13  tjk
 * converting to ANSI C standards
 *
 * Revision 1.1  1995/02/10  02:40:27  tjk
 * Initial revision
 *
 *
 */

#endif	/* _vme_h */
