/* $Header: /rosie/src/ccd_utilities/tool/RCS/long_test_popup_panel.c,v 1.3 1995/12/12 22:33:34 tjk Exp $
 */

#include <xview/xview.h>
#include <xview/panel.h>
#include "ccd_error.h"
#include "ccd.h"
#include "gfm.h"
#include "ccd_conf.h"

/*>>>>>  Function Prototypes  <<<<<*/
#ifdef   __STDC__
void    store_long_test_settings(LONG_TEST_OBJ  *long_test);
void    set_long_test_panel(...);
void	reset_long_test_panel(LONG_TEST_OBJ  *long_test);
void	set_long_test_checkmarks(int  value);

#else   /* K&R C */
void    store_long_test_settings();
void    set_long_test_panel();
void	reset_long_test_panel();
void	set_long_test_checkmarks();

#endif  /* __STDC__ */
/*>>>>>  End Function Prototypes  <<<<<*/


#ifdef   __STDC__
void    store_long_test_settings(LONG_TEST_OBJ  *long_test)
#else   /* K&R C */
void
store_long_test_settings(long_test)
LONG_TEST_OBJ     *long_test;
#endif  /* __STDC__ */
{
	set_long_test_value(long_test, 
		TIMING_LONG_SELECT,
		(int)xv_get(Long_test->timing_board_long_select, PANEL_VALUE),
		TIMING_LONG_NUM,
		(int)char2int((char *)xv_get(Long_test->timing_board_long_num,
			PANEL_VALUE)),
	NULL);

	return;
}


#ifdef   __STDC__
void    set_long_test_panel(...)
#else   /* K&R C */
void
set_long_test_panel(va_alist)
va_dcl
#endif  /* __STDC__ */
{
	va_list              ap;
	LONG_TEST_OBJ        *long_test;
	int                  modifier;
	int                  value;
	char                 buffer[255];

#	ifdef   __STDC__
	va_start(ap, NULL);
#	else   /* K&R C */
	va_start(ap);
#	endif  /* __STDC__ */

	long_test = va_arg(ap, LONG_TEST_OBJ *);
	modifier = va_arg(ap, int);

	while (modifier != NULL)
	{
		switch (modifier)
		{
			case TIMING_LONG_SELECT:
				xv_set(Long_test->timing_board_long_select,
					PANEL_VALUE, va_arg(ap, int), NULL);
				break;
			case TIMING_LONG_NUM:
				value = va_arg(ap, int);
				if (value == UNDEFINED)
				{
					xv_set(Long_test->timing_board_long_num,
					PANEL_VALUE, "", NULL);
				}
				else
				{
				  sprintf(buffer, "%d", value);
					xv_set(Long_test->timing_board_long_num,
					PANEL_VALUE, buffer, NULL);
				}
				break;
			default:
				printf("ERROR> %s: %d\n",
				       "set_long_test_panel()", modifier);
		}
		modifier = va_arg(ap, int);
	}
}


#ifdef   __STDC__
void	reset_long_test_panel(LONG_TEST_OBJ  *long_test)
#else   /* K&R C */
void
reset_long_test_panel(long_test)
     LONG_TEST_OBJ    *long_test;
#endif  /* __STDC__ */
{
	char buffer[255];
	int setting;

	set_long_test_panel(long_test,

		TIMING_LONG_SELECT,
		(int)get_long_test_value(long_test, TIMING_LONG_SELECT),
		TIMING_LONG_NUM,
		(int)get_long_test_value(long_test, TIMING_LONG_NUM),
	NULL);
}


#ifdef   __STDC__
void	set_long_test_checkmarks(int  value)
#else   /* K&R C */
void
set_long_test_checkmarks(value)
int     value;
#endif  /* __STDC__ */
{
        xv_set(Long_test->timing_board_long_select, PANEL_VALUE, value, NULL);
}

/* 
 * $Log: long_test_popup_panel.c,v $
 * Revision 1.3  1995/12/12 22:33:34  tjk
 * Merged SBUS and VME versions
 *
 * Revision 1.2  1995/08/23  00:05:04  moore
 * ANSI conversion
 *
 * Revision 1.1  1995/02/10 04:02:47  tjk
 * Initial revision
 *
 *
 */
